GET   checks/browser/{checkId}/results/{resultId}/screenshots

Gets information about screenshots for a browser check result.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

resultId

Check result identifier. Type: GUID.

Remarks

The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example

curl --request GET "https://api-asm2.apica.io/v3/checks/browser/12345/results/b1d01c2d-341d-4b7b-be0c-02e290483fd4/screenshots?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"

Response body model example and description

[
  {
    "id": "a51f4496-255e-40c6-bde3-73b8f0181237",
    "index": 0,
    "timestamp_utc": "2026-05-23T05:39:01",
    "image_type": "IMAGE/JPEG"
  },
  {
    "id": "1ce65288-04aa-4c9b-a735-fc2291686506",
    "index": 0,
    "timestamp_utc": "2026-05-23T05:39:01",
    "image_type": "IMAGE/JPEG"
  },
  {
    "id": "8d9780a0-1208-46fc-aa62-d451ac460bb2",
    "index": 2,
    "timestamp_utc": "2026-05-23T05:39:01",
    "image_type": "IMAGE/JPEG"
  }
]
NameType Description
id Guid

Screenshot identifier.

index Integer

Index of the screenshot in the list (starting from 0).

timestamp_utc DateTime

Screenshot timestamp (in UTC).

image_type String

Type of the screenshot image.